=== debian/changelog ===
kido (0.1.0+dfsg-2build9) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:31 +0000

kido (0.1.0+dfsg-2build8) bionic; urgency=medium

  * No-change rebuild against latest assimp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 25 Nov 2017 18:58:48 -0500

kido (0.1.0+dfsg-2build7) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:17:10 +0000

kido (0.1.0+dfsg-2build6) artful; urgency=medium

  * No-change rebuild against libbullet2.86

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Jul 2017 20:08:08 +0000

kido (0.1.0+dfsg-2build5) artful; urgency=medium

  * No-change rebuild against latest tinyxml2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Jul 2017 14:18:25 -0400

kido (0.1.0+dfsg-2build4) zesty; urgency=medium

  * Rebuild against new 2.83.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Nov 2016 08:47:38 +0100

kido (0.1.0+dfsg-2build3) zesty; urgency=medium

  * Rebuild against new bullet 2.83.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Nov 2016 10:08:34 +0100

kido (0.1.0+dfsg-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:25:08 +0000

kido (0.1.0+dfsg-2build1) yakkety; urgency=medium

  * Rebuild against new liburdfdom-dev.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Sep 2016 13:17:07 +0200

kido (0.1.0+dfsg-2) unstable; urgency=medium

  * Use std::shared instead of boost::shared
    (Closes: #835734)
  * Patch to remove msse2 compiler flag
    (Closes: #833817)
  * Add a patch to fix link of unitests
    (Closes: #835930)
  * Fix tinyxml new constant

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 22:52:53 +0000

kido (0.1.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #812126)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 21 Jul 2016 14:33:19 +0000
