=== debian/changelog ===
kido (0.1.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.

  [ Jochen Sprickerhof ]
  * Add patch to fix Flann inclusion

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Oct 2018 23:59:26 +0200

kido (0.1.0+dfsg-5) unstable; urgency=medium

  * Team upload
  * Change back the include to add <kido> namespace,
    since the autogenerated pkgconfig file is not exporting it

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Aug 2018 08:00:50 +0200

kido (0.1.0+dfsg-4) unstable; urgency=medium

  * Team upload
  * Fix testsuite
  * Install also pkgconfig file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Aug 2018 19:53:18 +0200

kido (0.1.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Move VCS fields after salsa.d.o move
  * Fix a nlopt-related FTBFS, headers moved in cxx-dev (Closes: #905682)
    thanks <hyperair> for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Aug 2018 10:09:28 +0200
