=== debian/tests/control ===
Tests: build
Depends: libkido-dev, pkg-config, build-essential
